package com.xy.alipay;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.lang.annotation.*;

/**
 * 支付宝注解
 *
 * @author lijin
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface AliPay {

    /**
     * 类型
     *
     * @return
     */
    Type value();


    @Getter
    @AllArgsConstructor
    enum Type {

        RESTART("重启设备"),

        BUSY_STATE("修改运营状态")

        ;

        private String type;
    }

}
